#
# spec file for package 
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define texlive_version 2013
%define texlive_previous 2011
%define texlive_release 20130620
%define texlive_noarch  84

%define __perl_requires		%{nil}
%define __os_install_post	/usr/lib/rpm/brp-compress \\\
  %(ls /usr/lib/rpm/brp-suse.d/* 2> /dev/null | grep -vE 'check-la|boot-scripts|rpath|symlink|desktop|strip-debug|gcc-output|debuginfo|libtool|kernel-log') %{nil}

Name: texlive-ucs
Version: %{texlive_version}.%{texlive_noarch}.2.2svn30472
Release: %{?rlobs:%{rlobs}}%{!?rlobs:0}
License: LPPL-1.0
Summary: Extended UTF-8 input encoding support for LaTeX
Group: Productivity/Publishing/TeX/Base
Url: http://www.tug.org/texlive/
Requires(pre): texlive >= %{texlive_version}
Requires(post): coreutils
Requires(postun): coreutils
Requires(postun): texlive >= %{texlive_version}
Requires(posttrans): texlive >= %{texlive_version}
Recommends: texlive-ucs-doc >= %{texlive_version}
BuildRequires: ed
BuildRequires: texlive-filesystem
BuildRequires: xz
Provides: tex(uni-0.def)
Provides: tex(uni-1.def)
Provides: tex(uni-100.def)
Provides: tex(uni-101.def)
Provides: tex(uni-102.def)
Provides: tex(uni-103.def)
Provides: tex(uni-104.def)
Provides: tex(uni-105.def)
Provides: tex(uni-106.def)
Provides: tex(uni-107.def)
Provides: tex(uni-108.def)
Provides: tex(uni-109.def)
Provides: tex(uni-110.def)
Provides: tex(uni-111.def)
Provides: tex(uni-112.def)
Provides: tex(uni-113.def)
Provides: tex(uni-114.def)
Provides: tex(uni-115.def)
Provides: tex(uni-116.def)
Provides: tex(uni-117.def)
Provides: tex(uni-118.def)
Provides: tex(uni-119.def)
Provides: tex(uni-12.def)
Provides: tex(uni-120.def)
Provides: tex(uni-121.def)
Provides: tex(uni-122.def)
Provides: tex(uni-123.def)
Provides: tex(uni-124.def)
Provides: tex(uni-125.def)
Provides: tex(uni-126.def)
Provides: tex(uni-127.def)
Provides: tex(uni-128.def)
Provides: tex(uni-129.def)
Provides: tex(uni-130.def)
Provides: tex(uni-131.def)
Provides: tex(uni-132.def)
Provides: tex(uni-133.def)
Provides: tex(uni-134.def)
Provides: tex(uni-135.def)
Provides: tex(uni-136.def)
Provides: tex(uni-137.def)
Provides: tex(uni-138.def)
Provides: tex(uni-139.def)
Provides: tex(uni-14.def)
Provides: tex(uni-140.def)
Provides: tex(uni-141.def)
Provides: tex(uni-142.def)
Provides: tex(uni-143.def)
Provides: tex(uni-144.def)
Provides: tex(uni-145.def)
Provides: tex(uni-146.def)
Provides: tex(uni-147.def)
Provides: tex(uni-148.def)
Provides: tex(uni-149.def)
Provides: tex(uni-150.def)
Provides: tex(uni-151.def)
Provides: tex(uni-152.def)
Provides: tex(uni-153.def)
Provides: tex(uni-154.def)
Provides: tex(uni-155.def)
Provides: tex(uni-156.def)
Provides: tex(uni-157.def)
Provides: tex(uni-158.def)
Provides: tex(uni-159.def)
Provides: tex(uni-167.def)
Provides: tex(uni-172.def)
Provides: tex(uni-173.def)
Provides: tex(uni-174.def)
Provides: tex(uni-175.def)
Provides: tex(uni-176.def)
Provides: tex(uni-177.def)
Provides: tex(uni-178.def)
Provides: tex(uni-179.def)
Provides: tex(uni-18.def)
Provides: tex(uni-180.def)
Provides: tex(uni-181.def)
Provides: tex(uni-182.def)
Provides: tex(uni-183.def)
Provides: tex(uni-184.def)
Provides: tex(uni-185.def)
Provides: tex(uni-186.def)
Provides: tex(uni-187.def)
Provides: tex(uni-188.def)
Provides: tex(uni-189.def)
Provides: tex(uni-19.def)
Provides: tex(uni-190.def)
Provides: tex(uni-191.def)
Provides: tex(uni-192.def)
Provides: tex(uni-193.def)
Provides: tex(uni-194.def)
Provides: tex(uni-195.def)
Provides: tex(uni-196.def)
Provides: tex(uni-197.def)
Provides: tex(uni-198.def)
Provides: tex(uni-199.def)
Provides: tex(uni-2.def)
Provides: tex(uni-200.def)
Provides: tex(uni-201.def)
Provides: tex(uni-202.def)
Provides: tex(uni-203.def)
Provides: tex(uni-204.def)
Provides: tex(uni-205.def)
Provides: tex(uni-206.def)
Provides: tex(uni-207.def)
Provides: tex(uni-208.def)
Provides: tex(uni-209.def)
Provides: tex(uni-210.def)
Provides: tex(uni-211.def)
Provides: tex(uni-212.def)
Provides: tex(uni-213.def)
Provides: tex(uni-214.def)
Provides: tex(uni-215.def)
Provides: tex(uni-24.def)
Provides: tex(uni-248.def)
Provides: tex(uni-249.def)
Provides: tex(uni-250.def)
Provides: tex(uni-251.def)
Provides: tex(uni-254.def)
Provides: tex(uni-255.def)
Provides: tex(uni-29.def)
Provides: tex(uni-3.def)
Provides: tex(uni-30.def)
Provides: tex(uni-31.def)
Provides: tex(uni-32.def)
Provides: tex(uni-33.def)
Provides: tex(uni-34.def)
Provides: tex(uni-35.def)
Provides: tex(uni-3584.def)
Provides: tex(uni-36.def)
Provides: tex(uni-37.def)
Provides: tex(uni-38.def)
Provides: tex(uni-39.def)
Provides: tex(uni-4.def)
Provides: tex(uni-40.def)
Provides: tex(uni-42.def)
Provides: tex(uni-44.def)
Provides: tex(uni-46.def)
Provides: tex(uni-465.def)
Provides: tex(uni-468.def)
Provides: tex(uni-469.def)
Provides: tex(uni-47.def)
Provides: tex(uni-470.def)
Provides: tex(uni-471.def)
Provides: tex(uni-48.def)
Provides: tex(uni-49.def)
Provides: tex(uni-497.def)
Provides: tex(uni-498.def)
Provides: tex(uni-5.def)
Provides: tex(uni-50.def)
Provides: tex(uni-51.def)
Provides: tex(uni-760.def)
Provides: tex(uni-761.def)
Provides: tex(uni-762.def)
Provides: tex(uni-78.def)
Provides: tex(uni-79.def)
Provides: tex(uni-80.def)
Provides: tex(uni-81.def)
Provides: tex(uni-82.def)
Provides: tex(uni-83.def)
Provides: tex(uni-84.def)
Provides: tex(uni-85.def)
Provides: tex(uni-86.def)
Provides: tex(uni-87.def)
Provides: tex(uni-88.def)
Provides: tex(uni-89.def)
Provides: tex(uni-9.def)
Provides: tex(uni-90.def)
Provides: tex(uni-91.def)
Provides: tex(uni-92.def)
Provides: tex(uni-93.def)
Provides: tex(uni-94.def)
Provides: tex(uni-95.def)
Provides: tex(uni-96.def)
Provides: tex(uni-97.def)
Provides: tex(uni-98.def)
Provides: tex(uni-99.def)
Provides: tex(uni-global.def)
Provides: tex(uninames.dat)
Provides: tex(ucs.sty)
Provides: tex(ucsencs.def)
Provides: tex(ucshyper.sty)
Provides: tex(ucsutils.sty)
Provides: tex(utf8x.def)
Provides: tex(autofe.sty)
Provides: tex(c00enc.def)
Provides: tex(c10enc.def)
Provides: tex(c40enc.def)
Provides: tex(c42enc.def)
Provides: tex(c61enc.def)
Provides: tex(cenccmn.tex)
Provides: tex(cp1252.enc)
Provides: tex(ldvarial.fd)
Provides: tex(ldvc2000.fd)
Provides: tex(ldvenc.def)
Provides: tex(letc2000.fd)
Provides: tex(letenc.def)
Provides: tex(letgfzem.fd)
Provides: tex(letjiret.fd)
Provides: tex(lklenc.def)
Provides: tex(lklkli.fd)
Provides: tex(ltaarial.fd)
Provides: tex(ltac2000.fd)
Provides: tex(ltaenc.def)
Provides: tex(ltgc2000.fd)
Provides: tex(ltgenc.def)
Provides: tex(ltlcmr.fd)
Provides: tex(ltlenc.def)
Provides: tex(ltwdsnol.fd)
Provides: tex(ltwdsque.fd)
Provides: tex(ltwdssin.fd)
Provides: tex(ltwenc.def)
Provides: tex(lucarial.fd)
Provides: tex(lucc2000.fd)
Provides: tex(lucenc.def)
Provides: tex(mkrenc.def)
Provides: tex(mkrezra.fd)
Provides: tex(mkrhadas.fd)
Provides: tex(mkromega.fd)
Provides: tex(mkrrashi.fd)
Provides: tex(t2dcmr.fd)
Provides: tex(t2denc.def)
Provides: tex(tengwarDS.enc)
Provides: tex(xscmr.fd)
Provides: tex(xsenc.def)
Requires: tex(hyperref.sty)
# Download at ftp://ftp.ctan.org/pub/tex/systems/texlive/tlnet/archive/
# from 20130620
Source0: ucs.tar.xz
Source1: ucs.doc.tar.xz
BuildArch: noarch
# skip-check-libtool-deps

%global _varlib		%{_localstatedir}/lib
%global _libexecdir	%{_prefix}/lib

%define _texmfdistdir	%{_datadir}/texmf
%define _texmfmaindir	%{_libexecdir}/texmf
%define _texmfdirs	\{%{_texmfdistdir},%{_texmfmaindir}\}

%define _texmfconfdir	%{_sysconfdir}/texmf
%define _texmfvardir	%{_varlib}/texmf
%define _texmfcache	%{_localstatedir}/cache/texmf
%define _fontcache	%{_texmfcache}/fonts
#
%define _x11bin		%{_prefix}/bin
%define _x11lib		%{_libdir}
%define _x11data	%{_datadir}/X11
%define _x11inc		%{_includedir}
%define _appdefdir	%{_x11data}/app-defaults


%description
The bundle provides the ucs package, and utf8x.def, together
with a large number of support files. The utf8x.def definition
file for use with inputenc covers a wider range of Unicode
characters than does utf8.def in the LaTeX distribution. The
package provides facilities for efficient use of its large sets
of Unicode characters. Glyph production may be controlled by
various options, which permits use of non-ASCII characters when
coding mathematical formulae. Note that the bundle previously
had an alias "unicode"; that alias has now been withdrawn, and
no package of that name now exists.

date: 2013-05-12 14:23:52 +0000


%package doc
Summary: Documentation for texlive-ucs
Version: %{texlive_version}.%{texlive_noarch}.2.2svn30472
Release: %{?rlobs:%{rlobs}}%{!?rlobs:0}

%description doc
This package includes the documentation for texlive-ucs

%prep
%setup -q -c -T

%build

%install
    rm -rf %{buildroot}
    mkdir -p %{buildroot}%{_texmfdistdir}
    mkdir -p %{buildroot}%{_texmfmaindir}
    mkdir -p %{buildroot}%{_datadir}/texlive
    mkdir -p %{buildroot}/var/adm/update-scripts
    ln -sf ../../share/texmf %{buildroot}%{_datadir}/texlive/texmf-dist
    ln -sf ../../lib/texmf   %{buildroot}%{_datadir}/texlive/texmf
    ln -sf %{_texmfdistdir}/texconfig/zypper.py \
	%{buildroot}/var/adm/update-scripts/%{name}-%{version}-%{release}-zypper
    tar --use-compress-program=xz -xf %{S:0} -C %{buildroot}%{_datadir}/texlive/texmf-dist
    tar --use-compress-program=xz -xf %{S:1} -C %{buildroot}%{_datadir}/texlive/texmf-dist
    rm -v  %{buildroot}%{_datadir}/texlive/texmf
    rm -v  %{buildroot}%{_datadir}/texlive/texmf-dist
    rm -vr %{buildroot}%{_datadir}/texlive
    # Remove this
    rm -vrf %{buildroot}%{_texmfdistdir}/tlpkg/tlpobj
    rm -vrf %{buildroot}%{_texmfmaindir}/tlpkg/tlpobj

%clean
rm -rf %{buildroot}

%post
mkdir -p /var/run/texlive
> /var/run/texlive/run-mktexlsr
> /var/run/texlive/run-update

%postun
if test $1 = 0; then
    %{_bindir}/mktexlsr 2> /dev/null || :
    exit 0
fi
mkdir -p /var/run/texlive
> /var/run/texlive/run-mktexlsr
> /var/run/texlive/run-update

%posttrans
test -f /var/run/texlive/run-update || exit 0
test -z "$ZYPP_IS_RUNNING" || exit 0
VERBOSE=false %{_texmfdistdir}/texconfig/update || :
rm -f /var/run/texlive/run-update

%files doc
%defattr(-,root,root,755)
%{_texmfdistdir}/doc/latex/ucs/FAQ
%{_texmfdistdir}/doc/latex/ucs/GNUmakefile
%{_texmfdistdir}/doc/latex/ucs/INSTALL
%{_texmfdistdir}/doc/latex/ucs/LICENSE
%{_texmfdistdir}/doc/latex/ucs/README
%{_texmfdistdir}/doc/latex/ucs/VERSION
%{_texmfdistdir}/doc/latex/ucs/config/ascii.ucf
%{_texmfdistdir}/doc/latex/ucs/config/boxdraw.ucf
%{_texmfdistdir}/doc/latex/ucs/config/braille.ucf
%{_texmfdistdir}/doc/latex/ucs/config/cjk-bg5.ucf
%{_texmfdistdir}/doc/latex/ucs/config/cjk-gb.ucf
%{_texmfdistdir}/doc/latex/ucs/config/cjk-globals.ucf
%{_texmfdistdir}/doc/latex/ucs/config/cjk-hangul.ucf
%{_texmfdistdir}/doc/latex/ucs/config/cjk-jis.ucf
%{_texmfdistdir}/doc/latex/ucs/config/combining.ucf
%{_texmfdistdir}/doc/latex/ucs/config/control.ucf
%{_texmfdistdir}/doc/latex/ucs/config/ctrlglyphs.ucf
%{_texmfdistdir}/doc/latex/ucs/config/currency.ucf
%{_texmfdistdir}/doc/latex/ucs/config/cyrillic.ucf
%{_texmfdistdir}/doc/latex/ucs/config/devanagari.ucf
%{_texmfdistdir}/doc/latex/ucs/config/ethiopic.ucf
%{_texmfdistdir}/doc/latex/ucs/config/geometric.ucf
%{_texmfdistdir}/doc/latex/ucs/config/greek.ucf
%{_texmfdistdir}/doc/latex/ucs/config/hebrew.ucf
%{_texmfdistdir}/doc/latex/ucs/config/ipa.ucf
%{_texmfdistdir}/doc/latex/ucs/config/klingon.ucf
%{_texmfdistdir}/doc/latex/ucs/config/latin-a.ucf
%{_texmfdistdir}/doc/latex/ucs/config/latin-b.ucf
%{_texmfdistdir}/doc/latex/ucs/config/latin-e-a.ucf
%{_texmfdistdir}/doc/latex/ucs/config/latin1.ucf
%{_texmfdistdir}/doc/latex/ucs/config/math.ucf
%{_texmfdistdir}/doc/latex/ucs/config/mathalpha.ucf
%{_texmfdistdir}/doc/latex/ucs/config/miscsymb.ucf
%{_texmfdistdir}/doc/latex/ucs/config/modifier.ucf
%{_texmfdistdir}/doc/latex/ucs/config/mongolian.ucf
%{_texmfdistdir}/doc/latex/ucs/config/pifont.ucf
%{_texmfdistdir}/doc/latex/ucs/config/punct.ucf
%{_texmfdistdir}/doc/latex/ucs/config/supersub.ucf
%{_texmfdistdir}/doc/latex/ucs/config/tags.ucf
%{_texmfdistdir}/doc/latex/ucs/config/telugu.ucf
%{_texmfdistdir}/doc/latex/ucs/config/thai.ucf
%{_texmfdistdir}/doc/latex/ucs/discovermacro.pl
%{_texmfdistdir}/doc/latex/ucs/languages.ps.gz
%{_texmfdistdir}/doc/latex/ucs/latexout.pl
%{_texmfdistdir}/doc/latex/ucs/ltxmacrs.txt
%{_texmfdistdir}/doc/latex/ucs/makeunidef.pl
%{_texmfdistdir}/doc/latex/ucs/ucs.dtx
%{_texmfdistdir}/doc/latex/ucs/ucs.ins
%{_texmfdistdir}/doc/latex/ucs/ucs.pdf
%{_texmfdistdir}/doc/latex/ucs/unsupported/README
%{_texmfdistdir}/doc/latex/ucs/unsupported/sym-to-fontenc.txt
%{_texmfdistdir}/doc/latex/ucs/unsupported/tables.inc
%{_texmfdistdir}/doc/latex/ucs/unsupported/u2ps

%files
%defattr(-,root,root,755)
%{_texmfdistdir}/tex/latex/ucs/data/uni-0.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-1.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-100.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-101.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-102.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-103.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-104.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-105.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-106.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-107.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-108.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-109.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-110.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-111.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-112.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-113.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-114.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-115.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-116.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-117.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-118.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-119.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-12.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-120.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-121.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-122.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-123.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-124.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-125.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-126.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-127.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-128.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-129.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-130.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-131.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-132.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-133.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-134.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-135.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-136.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-137.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-138.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-139.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-14.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-140.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-141.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-142.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-143.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-144.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-145.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-146.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-147.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-148.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-149.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-150.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-151.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-152.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-153.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-154.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-155.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-156.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-157.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-158.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-159.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-167.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-172.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-173.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-174.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-175.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-176.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-177.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-178.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-179.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-18.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-180.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-181.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-182.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-183.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-184.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-185.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-186.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-187.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-188.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-189.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-19.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-190.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-191.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-192.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-193.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-194.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-195.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-196.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-197.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-198.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-199.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-2.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-200.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-201.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-202.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-203.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-204.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-205.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-206.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-207.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-208.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-209.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-210.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-211.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-212.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-213.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-214.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-215.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-24.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-248.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-249.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-250.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-251.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-254.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-255.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-29.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-3.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-30.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-31.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-32.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-33.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-34.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-35.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-3584.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-36.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-37.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-38.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-39.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-4.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-40.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-42.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-44.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-46.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-465.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-468.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-469.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-47.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-470.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-471.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-48.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-49.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-497.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-498.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-5.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-50.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-51.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-760.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-761.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-762.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-78.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-79.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-80.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-81.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-82.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-83.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-84.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-85.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-86.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-87.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-88.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-89.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-9.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-90.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-91.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-92.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-93.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-94.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-95.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-96.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-97.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-98.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-99.def
%{_texmfdistdir}/tex/latex/ucs/data/uni-global.def
%{_texmfdistdir}/tex/latex/ucs/data/uninames.dat
%{_texmfdistdir}/tex/latex/ucs/ucs.sty
%{_texmfdistdir}/tex/latex/ucs/ucsencs.def
%{_texmfdistdir}/tex/latex/ucs/ucshyper.sty
%{_texmfdistdir}/tex/latex/ucs/ucsutils.sty
%{_texmfdistdir}/tex/latex/ucs/utf8x.def
%{_texmfdistdir}/tex/latex/ucs/utils/UnicodeT.sfd
%{_texmfdistdir}/tex/latex/ucs/utils/autofe.sty
%{_texmfdistdir}/tex/latex/ucs/utils/c00enc.def
%{_texmfdistdir}/tex/latex/ucs/utils/c10enc.def
%{_texmfdistdir}/tex/latex/ucs/utils/c40enc.def
%{_texmfdistdir}/tex/latex/ucs/utils/c42enc.def
%{_texmfdistdir}/tex/latex/ucs/utils/c61enc.def
%{_texmfdistdir}/tex/latex/ucs/utils/cenccmn.tex
%{_texmfdistdir}/tex/latex/ucs/utils/cp1252.enc
%{_texmfdistdir}/tex/latex/ucs/utils/ldvarial.fd
%{_texmfdistdir}/tex/latex/ucs/utils/ldvc2000.fd
%{_texmfdistdir}/tex/latex/ucs/utils/ldvenc.def
%{_texmfdistdir}/tex/latex/ucs/utils/letc2000.fd
%{_texmfdistdir}/tex/latex/ucs/utils/letenc.def
%{_texmfdistdir}/tex/latex/ucs/utils/letgfzem.fd
%{_texmfdistdir}/tex/latex/ucs/utils/letjiret.fd
%{_texmfdistdir}/tex/latex/ucs/utils/lklenc.def
%{_texmfdistdir}/tex/latex/ucs/utils/lklkli.fd
%{_texmfdistdir}/tex/latex/ucs/utils/ltaarial.fd
%{_texmfdistdir}/tex/latex/ucs/utils/ltac2000.fd
%{_texmfdistdir}/tex/latex/ucs/utils/ltaenc.def
%{_texmfdistdir}/tex/latex/ucs/utils/ltgc2000.fd
%{_texmfdistdir}/tex/latex/ucs/utils/ltgenc.def
%{_texmfdistdir}/tex/latex/ucs/utils/ltlcmr.fd
%{_texmfdistdir}/tex/latex/ucs/utils/ltlenc.def
%{_texmfdistdir}/tex/latex/ucs/utils/ltwdsnol.fd
%{_texmfdistdir}/tex/latex/ucs/utils/ltwdsque.fd
%{_texmfdistdir}/tex/latex/ucs/utils/ltwdssin.fd
%{_texmfdistdir}/tex/latex/ucs/utils/ltwenc.def
%{_texmfdistdir}/tex/latex/ucs/utils/lucarial.fd
%{_texmfdistdir}/tex/latex/ucs/utils/lucc2000.fd
%{_texmfdistdir}/tex/latex/ucs/utils/lucenc.def
%{_texmfdistdir}/tex/latex/ucs/utils/mkrenc.def
%{_texmfdistdir}/tex/latex/ucs/utils/mkrezra.fd
%{_texmfdistdir}/tex/latex/ucs/utils/mkrhadas.fd
%{_texmfdistdir}/tex/latex/ucs/utils/mkromega.fd
%{_texmfdistdir}/tex/latex/ucs/utils/mkrrashi.fd
%{_texmfdistdir}/tex/latex/ucs/utils/t2dcmr.fd
%{_texmfdistdir}/tex/latex/ucs/utils/t2denc.def
%{_texmfdistdir}/tex/latex/ucs/utils/tengwarDS.enc
%{_texmfdistdir}/tex/latex/ucs/utils/xscmr.fd
%{_texmfdistdir}/tex/latex/ucs/utils/xsenc.def
/var/adm/update-scripts/%{name}-%{version}-%{release}-zypper

%changelog
* Tue May 20 2014 schwab@suse.de
- Make sure texconfig/update is run only once per transaction

* Wed Apr 09 2014 werner@suse.de
- Be aware that blanks may occure around RequirePackage (bnc#872559) 

* Fri Mar 21 2014 werner@suse.de
- Remove superfluous xfs dependcies

* Mon Oct 28 2013 werner@suse.de
- Make Lua(La)TeX knowing about varfonts from mktex.cnf (bnc#847102) 

* Wed Sep 25 2013 werner@suse.de
- Be aware that texlive scripts are now in the packages them self 

* Tue Sep 10 2013 werner@suse.de
- Change /bin/env to /usr/bin/env in latexdiff tool below doc 

* Fri Aug 09 2013 werner@suse.de
- Be aware that the package texlive-ascii-font is the former
  texlive-ascii

* Thu Aug 08 2013 werner@suse.de
- Do not override TEXMFLOCAL with TEXMFMAIN as this is now TEXMFDIST 

* Wed Aug 07 2013 werner@suse.de
- Drop dependency freeglut-devel of texlive-asymptote (bnc#833498)

* Mon Aug 05 2013 werner@suse.de
- Make sure that TEXMFMAIN is /usr/share/texmf now 
- Replace texmf.cnf if really required that is do not install
  as .rpmnew but move the old to .rpmold

* Fri Aug 02 2013 werner@suse.de
- Move leipzig.tex from doc/latex/leipzig/leipzig.tex to 
  tex/latex/leipzig/leipzig.tex

* Tue Jul 30 2013 werner@suse.de
- Update to TeXLive 2013 (timestamp 20130620)
  + Distribution layout: the top-level texmf/ directory has been
    merged into texmf-dist/, for simplicity. Both the TEXMFMAIN
    and TEXMFDIST Kpathsea variables now point to texmf-dist.
  + Many small language collections have been merged together,
    to simplify installation.
  + MetaPost: native support for PNG output and floating-point
    (IEEE double) has been added.
  + LuaTEX: updated to Lua 5.2, and includes a new library
    (pdfscanner) to process external PDF page content, among
    much else (see its web pages).
  + XeTEX (also see its web pages for more):
    The HarfBuzz library now used for font layout instead of ICU.
    Graphite2 and HarfBuzz are used instead of SilGraphite for Graphite layout.
    On Macs, Core Text is used instead of the (deprecated) ATSUI.
    Prefer TrueType/OpenType fonts to Type1 when the names are the same.
    Fix occasional mismatch in font finding between XeTEX and xdvipdfmx.
    Support OpenType math cut-ins.
  + xdvi: now uses FreeType instead of t1lib for rendering.
  + microtype.sty: some support for XeTEX (protrusion) and LuaTEX
    (protrusion, font expansion, tracking), among other enhancements. 
- Update biblatex-biber to 1.7
- Udpate biblatex of TeXLive 2013 to 2.7a

* Tue Jul 16 2013 werner@suse.de
- Let texlive-arev require tex(mdacmr.fd) (bnc#819867) 
- Avoid line break in patch pgf_plain.dif (bnc#823273)

* Tue May 07 2013 werner@suse.de
- As lcdf-typetools does not support kpathsea nor search below
  texmf tree build the texlive-lcdftypetools(-bin) packages again
  and let them conflict with the lcdf-typetools package.

* Mon May 06 2013 werner@suse.de
- Asymptote binaries may have the same version as the format files
  of the asymptote package it self (bnc#813032)

* Wed Mar 27 2013 werner@suse.de
- Change Obsoletes from < 2012+subversion to <= 2011 (bnc#811162)
- Let mathdesign require tex(texnansi.enc) (bnc#808731)
- Let biber-bin require perl(Text::BibTeX) (bnc#811258)
- Do not require xfs as we do not use xfs at all, otherwise we
  have to add some more lua code in the %post scriptlet.

* Tue Feb 26 2013 werner@suse.de
- Avoid doubling mktex.opt content with excessive patch which had
  lead that the original content overrides the new one (bnc#801727)

* Tue Feb 05 2013 werner@suse.de
- Work around missing support of %posttrans scriptlets in libzypp
  due missing rpm option for not to execute those scriptlets (bnc#773575)

* Tue Oct 09 2012 werner@suse.de
- Add require texlive-metapost for texlive-dvips
- Add some more requires for latex-bin
- Add require pdftex.def for texlive-pdftex
- Do not reqiure package pgfmath in pgffor.sty (bnc#783252)

* Wed Sep 12 2012 werner@suse.de
- Use disturl for rpmbuild runs
- Aggregate licenses for meta spec file automatically

* Wed Aug 29 2012 cfarrell@suse.com
- license update: GPL-2.0+ and LPPL-1.3c and GPL-3.0+ and MPL-1.1 and
  LPPL-1.0 and OFL-1.1 and Apache-2.0 
  Aggregate licenses for spec file without subpackages

* Thu Aug 02 2012 werner@suse.de
- Change font config semantic as the font directories below
  /usr/share/fonts will be always found by freetype

* Fri Jul 20 2012 werner@suse.de
- Source validator does not like not applied patches 

* Thu Jul 19 2012 werner@suse.de
- Correct path in pgf patch 

* Thu Jul 19 2012 werner@suse.de
- Make the sub packagers texlive-spec-{a..z} valid for source
  validator

* Thu Jul 12 2012 werner@suse.de
- Add patch to make pgf work with plain TeX (bnc#746719) 

* Thu Jun 28 2012 werner@suse.de
- Make jadetex format build in posttrans scriptlet 

* Wed Jun 27 2012 werner@suse.de
- Add some missed files
- Break cycle between latex and latex-bin 

* Tue Jun 26 2012 werner@suse.de
- move lgrenc.dfu from doc to tex tree

* Tue Jun 26 2012 werner@suse.de
- Avoid dependency loops between kpathsea, tetex, and texconfig
  with the main package texlive as otherwise the three packages
  will be isntalled before texlive

* Fri Jun 22 2012 werner@suse.de
- Make sure that posttrans scriptlets will execute update script 

* Fri Jun 22 2012 werner@suse.de
- Re-run generator script to add missed docfiles 

* Thu Jun 21 2012 werner@suse.de
- Avoid failing scriptlets due slice split 

* Thu Jun 21 2012 werner@suse.de
- Modify the runtime Makefile to allow to build slices from the
  2236 spec files may help to speed up the serial checks and
  serial rpmlint run

* Thu Jun 21 2012 werner@suse.de
- Do not forget requirements of texlive-latex-bin

* Wed Jun 20 2012 werner@suse.de
- Add some minimal requirements for texlive-tex, texlive-latex,
  texlive-luatex, and texlive-texinfo 

* Mon Jun 18 2012 werner@suse.de
- Fix wrong placement of tex files
- Xecyr has only win executables

* Mon Jun 18 2012 werner@suse.de
- Simplify dependency chain(s)
- Allow pure source packages (knuth, latex-tds, ...)
- Allow empty packages (hyphen, bibtexu, ...) for dependencies

* Thu Jun 14 2012 werner@suse.de
- Make RPMlint happy 

* Thu Jun 14 2012 werner@suse.de
- Make main spec file run several rpmbuild processes in parallel 

* Wed Jun 13 2012 werner@suse.de
- Update to frozen/final 2012 (timestamp 20120611) 

* Mon Jun 04 2012 werner@suse.de
- Avoid source url for all tar balls as our checkin script can not
  handle snapshots nor is knowing about the infrastructure of the
  upstream TeXLive server

* Thu May 31 2012 werner@suse.de
- Do not forget the sub package like doc and fonts 

* Thu May 31 2012 werner@suse.de
- Suppress leading dot in build release number 

* Thu May 31 2012 werner@suse.de
- Change version/release scheme 
- Avoid to list optional loaded but not existing files as required

* Thu May 24 2012 werner@suse.de
- Add fix for latex2man insecure tmp file handling (bnc#758046) 

* Mon May 21 2012 werner@suse.de
- Avoid making delcmdchanges.bash to be a text file 

* Mon May 14 2012 werner@suse.de
- If MT_FEATURES includes varfonts and system default is not
  writable choose $HOME/.cache/texmf/fonts 

* Wed May 09 2012 werner@suse.de
- Make rpm lint happy

* Fri Apr 13 2012 werner@suse.de
- Initial packaging of TeXLive using package database texlive.tlpdb
  that is we have now a lot small packages around
